BeagleWksDRParser.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <set>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPictData.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "BeagleWksStructManager.hxx"`
`#include "BeagleWksDRParser.hxx"`

## Classes

struct | BeagleWksDRParserInternal::Shape
| Internal: the shape of BeagleWksDRParser. More...
struct | BeagleWksDRParserInternal::State
| Internal: the state of a BeagleWksDRParser. More...
class | BeagleWksDRParserInternal::SubDocument
| Internal: the subdocument of a BeagleWksDRParser. More...

## Namespaces

namespace | BeagleWksDRParserInternal
| Internal: the structures of a BeagleWksDRParser.

## Functions

std::ostream & | BeagleWksDRParserInternal::operator<< (std::ostream &o, Shape const &shape)